#' Data related to happiness from the general social survey.
#' 
#' The data is a small sample of variables related to happiness from the
#' general social survey (GSS). The GSS is a yearly cross-sectional survey of
#' Americans, run from 1976. We combine data for 25 years to yield 51,020
#' observations, and of the over 5,000 variables, we select nine related to
#' happiness:
#' 
#' \itemize{
#'  \item age. age in years: 18--89.
#'  \item degree. highest education: lt high school, high school, junior
#'     college, bachelor, graduate.
#'  \item finrela. relative financial status: far above, above average,
#'     average, below average, far below.
#'  \item happy. happiness: very happy, pretty happy, not too happy.
#'  \item health. health: excellent, good, fair, poor.
#'  \item marital. marital status:  married, never married, divorced,
#'    widowed, separated.
#'  \item sex. sex: female, male.
#'  \item wtsall. probability weight. 0.43--6
#' }
#' 
#' @docType data
#' @keywords datasets
#' @name happy
#' @usage data(happy)
#' @format A data frame with 51020 rows and 10 variables
NULL
